# ALCOREM-0.1


This is **ALCOREM**(**AL**gorithmic **CO**mplexity and **RE**ducibility of **M**ultiplex networks), a C implementation of the algorithm for computing the algorithmic complexity and reducibility of a multiplex networks.

In the folder there are two different C codes, which respectevely implement the algorithms to compute the algorithmic complexity of a multiplex networks and the one for reducing the multiplex network. The algorithms are based on the procedure described in the paper:

A.Santoro, V. Nicosia, Algorithmic Complexity of Multiplex Networks, https://arxiv.org/abs/1903.08049

The code has been tested on OSX and Linux distributions.


### Dependencies

The algorithm makes use of the following libraries: 
 - GMP (The GNU Multiple Precision Arithmetic Library - https://gmplib.org/ )
 - OpenMP
 - zlib (https://www.zlib.net/)
 
Therefore, before using the code, make sure you have installed it.  Otherwise, you can install easily as:

On Debian based systems:
```
sudo apt-get install libgmp3-dev
sudo apt-get install libomp-dev
sudo apt-get install zlib1g-dev
```

On OSX through brew:
```
brew install gmp
brew install zlib
brew install libomp
```

Sample bash scripts to launch the code with different options can be found in the "Example/" directory, where you will also find a sample data set. This is the 13 layers London tube, originally provided in: 

M. De Domenico, A. Solé-Ribalta, S. Gómez, and A. Arenas, Navigability of interconnected networks under random failures. PNAS 111, 8351-8356 (2014)

Please consider citing this paper if you use this data set in a scientific work.

### Troubleshooting
Please, if you have any issue when using the code, check the TROUBLESHOOTING.md file before asking for help.  If you would like to report any problem or bug in the code, just email me (the address is down below).

Andrea Santoro <as.santoro1@gmail.com>

## License

This project is licensed under the MIT License - see the [LICENSE.md](LICENSE.md) file for details

------ 

## Python Package

My plan is to provide a python wrapper to better integrate the C code with python scripts in the future. I will try to upload it in the near future

